package com.djhk.uav.uav.model;

import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

/**
 * @author sean
 * @version 1.4
 * @date 2023/3/2
 */
@Data
public class SyunPayloadCommandsParam {

    private String dockSn;


    /*CAMERA_MODE_SWitCH("camera_mode_switch", CameraModeSwitchImpl.class),

    CAMERA_PHOTO_TAKE("camera_photo_take", CameraPhotoTakeImpl.class),

    CAMERA_RECORDING_START("camera_recording_start", CameraRecordingStartImpl.class),

    CAMERA_RECORDING_STOP("camera_recording_stop", CameraRecordingStopImpl.class),

    CAMERA_AIM("camera_aim", CameraAimImpl.class),

    CAMERA_FOCAL_LENGTH_SET("camera_focal_length_set", CameraFocalLengthSetImpl.class),

    GIMBAL_RESET("gimbal_reset", GimbalResetImpl.class);*/

    @NotNull
    @Valid
    private String payloadCommands;

    @Valid
    @NotNull
    private SyunDronePayloadParam data;

}
